(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = subsection; inactive; ]
 This notebook contains the Mathematica commands from Chapter 3 of Introduction
 tto Scientific Programming by Joseph L. Zachary.
:[font = text; inactive; ]

(3.4)  This calculates the circumference of the earth in kilometers, beginning
 from Eratosthenes's measurements.
:[font = input; nowordwrap; ]
360 / 7.2 * 5000. * 0.1575
:[font = text; inactive; ]

(3.5)  We can save the value of the expression from (3.4) into the variable
"circumference" by using an assignment expression.
:[font = input; nowordwrap; ]
circumference = 360 / 7.2 * 5000. * 0.1575
:[font = text; inactive; ]

(3.6)  Now that we have given "circumference" a floating-point value, we can 
use it as if it were a floating-point number.  We can, for example, determine 
its value.
:[font = input; nowordwrap; ]
circumference
:[font = text; inactive; ]

(3.7)  We can also use its value in more complicated expressions.
:[font = input; nowordwrap; ]
diameter = circumference / 3.14159
:[font = text; inactive; ]

(3.8)  Here we recompute "circumference" using parentheses to explicitly group
 the operands and operators from (3.5).
:[font = input; nowordwrap; ]
circumference = (360 / 7.2) * (5000. * 0.1575)
:[font = text; inactive; ]

(3.9)  We compute the diameter of the earth using two-digit approximations for
 its circumference and for pi.  Compare the result with (3.7).
:[font = input; nowordwrap; ]
3.9*10^4 / 3.1
:[font = text; inactive; ]

(3.10)  This is part of an interval arithmetic computation.  We use the 
smallest possible value (7.15) for the angle measured by Eratosthenes, the 
largest possible value (5050) for the distance from Alexandria to Cyrene, and 
the largest possible value for the conversion factor from stadia to 
kilometers.  This gives us the largest possible value for the circumference of
 the earth.
:[font = input; nowordwrap; ]
(360 / 7.15) * (5050. * 0.15755)
:[font = text; inactive; ]

(3.11)  We compute the smallest possible value for the circumference of the 
earth by peturbing the measurements in the other direction.
:[font = input; nowordwrap; ]
(360 / 7.25) * (4950. * 0.15745)
:[font = text; inactive; ]

(3.12)  We do an interval arithmetic calculation "by hand" to obtain an upper 
bound ...
:[font = input; nowordwrap; ]
200.5 - 185.5
:[font = text; inactive; ]

(3.13) ... and a lower bound.
:[font = input; nowordwrap; ]
199.5 - 186.5
:[font = text; inactive; ]

(3.14)  Alternatively, we can use Mathematica's built-in "Interval" function, 
which will do the interval arithmetic calculation for us.
:[font = input; nowordwrap; ]
Interval[{199.5, 200.5}] - Interval[{185.5, 186.5}]
:[font = text; inactive; ]

(3.15)  We use "Interval" to do the interval arithmetic calculation that we 
did "by hand" in (3.10) and (3.11).
:[font = input; nowordwrap; ]
(360 / Interval[{7.15,7.25}]) *
        (Interval[{4950,5050}] * Interval[{0.15745,0.15755}])
^*)